function $AdfJsfAjaxRequestEvent$$($domSource_params$$26$$, $event$$106_exec$$, $options$$26$$) {
  var $elem$$7_render$$2$$;
  $elem$$7_render$$2$$ = "string" == typeof $domSource_params$$26$$ ? document.getElementById($domSource_params$$26$$) : $domSource_params$$26$$;
  $AdfAssert$$.$assertDomElement$($elem$$7_render$$2$$);
  var $form$$6$$ = $AdfDomUtils$$.$getFormElement$($elem$$7_render$$2$$), $source$$138$$ = $AdfRichUIPeer$$.$getFirstAncestorComponent$($elem$$7_render$$2$$);
  this.$_sourceElement$ = $elem$$7_render$$2$$;
  this.$_options$ = $options$$26$$;
  this.Init($source$$138$$);
  $domSource_params$$26$$ = {"javax.faces.source":"string" == typeof $domSource_params$$26$$ ? $domSource_params$$26$$ : $elem$$7_render$$2$$.id, "javax.faces.partial.ajax":"true"};
  $event$$106_exec$$ && ($domSource_params$$26$$["javax.faces.partial.event"] = $event$$106_exec$$.type);
  $options$$26$$.execute && ($event$$106_exec$$ = $options$$26$$.execute, 0 > $event$$106_exec$$.indexOf("@none") && (0 > $event$$106_exec$$.indexOf("@all") ? ($event$$106_exec$$ = $event$$106_exec$$.replace("@this", $domSource_params$$26$$["javax.faces.source"]).replace("@form", $form$$6$$.id), 0 > $AdfCollections$$.indexOf($event$$106_exec$$.split(" ")) && ($event$$106_exec$$ += " " + ($elem$$7_render$$2$$.name || $elem$$7_render$$2$$.id))) : $event$$106_exec$$ = "@all", $domSource_params$$26$$["javax.faces.partial.execute"] = 
  $event$$106_exec$$));
  null != $options$$26$$.$render$ && ($elem$$7_render$$2$$ = $options$$26$$.$render$, 0 > $elem$$7_render$$2$$.indexOf("@none") && ($elem$$7_render$$2$$ = $elem$$7_render$$2$$.indexOf("@all" < 0) ? $elem$$7_render$$2$$.replace("@this", $domSource_params$$26$$["javax.faces.source"]).replace("@form", $form$$6$$.id) : "@all", $domSource_params$$26$$["javax.faces.partial.render"] = $elem$$7_render$$2$$));
  for (var $prop$$8$$ in $options$$26$$) {
    switch($prop$$8$$) {
      case "execute":
      ;
      case "render":
      ;
      case "onerror":
      ;
      case "onevent":
        break;
      default:
        $domSource_params$$26$$[$prop$$8$$] = $options$$26$$[$prop$$8$$];
    }
  }
  $AdfDhtmlPage$$.$__addServerParamsToEvent$(this, $domSource_params$$26$$);
}
$goog$exportSymbol$$("AdfJsfAjaxRequestEvent", $AdfJsfAjaxRequestEvent$$);
$AdfObject$$.$createSubclass$($AdfJsfAjaxRequestEvent$$, $AdfComponentEvent$$);
$AdfJsfAjaxRequestEvent$$.$REQUEST_EVENT_TYPE$ = "jsfrequest";
$goog$exportSymbol$$("AdfJsfAjaxRequestEvent.REQUEST_EVENT_TYPE", $AdfJsfAjaxRequestEvent$$.$REQUEST_EVENT_TYPE$);
$AdfJsfAjaxRequestEvent$$.prototype.Init = function $$AdfJsfAjaxRequestEvent$$$$Init$($source$$139$$) {
  $AdfAssert$$.$assertPrototype$($source$$139$$, $AdfUIComponent$$);
  $AdfJsfAjaxRequestEvent$$.$superclass$.Init.call(this, $source$$139$$, $AdfJsfAjaxRequestEvent$$.$REQUEST_EVENT_TYPE$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfJsfAjaxRequestEvent.prototype.Init", {Init:$AdfJsfAjaxRequestEvent$$.prototype.Init});
$AdfJsfAjaxRequestEvent$$.prototype.$propagatesToServer$ = function $$AdfJsfAjaxRequestEvent$$$$$propagatesToServer$$() {
  return !0;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfJsfAjaxRequestEvent.prototype.propagatesToServer", {$propagatesToServer$:$AdfJsfAjaxRequestEvent$$.prototype.$propagatesToServer$});
$AdfJsfAjaxRequestEvent$$.prototype.$IsDeleveryDiscrete$ = function $$AdfJsfAjaxRequestEvent$$$$$IsDeleveryDiscrete$$() {
  return !0;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfJsfAjaxRequestEvent.prototype.IsDeleveryDiscrete", {$IsDeleveryDiscrete$:$AdfJsfAjaxRequestEvent$$.prototype.$IsDeleveryDiscrete$});
$AdfJsfAjaxRequestEvent$$.$queue$ = function $$AdfJsfAjaxRequestEvent$$$$queue$$($source$$140$$, $event$$107$$, $options$$27$$) {
  (new $AdfJsfAjaxRequestEvent$$($source$$140$$, $event$$107$$, $options$$27$$)).$queue$(!0);
};
$goog$exportSymbol$$("AdfJsfAjaxRequestEvent.queue", $AdfJsfAjaxRequestEvent$$.$queue$);
